document.addEventListener('DOMContentLoaded', () => {
    // Countdown Timer
    function updateCountdown() {
        const now = new Date();
        const target = new Date(now.getFullYear(), now.getMonth() + 1, 1);
        const diff = target - now;

        const days = Math.floor(diff / (1000 * 60 * 60 * 24));
        const hours = Math.floor((diff % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
        const minutes = Math.floor((diff % (1000 * 60 * 60)) / (1000 * 60));

        document.querySelector('.days').textContent = String(days).padStart(2, '0');
        document.querySelector('.hours').textContent = String(hours).padStart(2, '0');
        document.querySelector('.minutes').textContent = String(minutes).padStart(2, '0');
    }

    setInterval(updateCountdown, 1000);
    updateCountdown();

    // Form Submission
    const form = document.querySelector('.commitment-form');
    if (form) {
        form.addEventListener('submit', (e) => {
            e.preventDefault();
            const projectName = document.getElementById('project-name').value;
            const launchDate = document.getElementById('launch-date').value;
            const description = document.getElementById('description').value;

            // Here you would typically send this data to a server
            alert(`Commitment registered!\nProject: ${projectName}\nLaunch Date: ${launchDate}`);
            form.reset();
        });
    }

    // Smooth Scrolling
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });
});